# 6.99. CUpti_EventGroupSets

struct CUpti_EventGroupSets

  A set of event group sets.

  A set of event group sets. When returned by cuptiEventGroupSetsCreate and cuptiMetricCreateEventGroupSets a CUpti_EventGroupSets indicates the number of passes required to collect all the events, and the event groups that should be collected during each pass.

  Public Members

  uint32_t numSets

    Number of event group sets.

  CUpti_EventGroupSet *sets

    An array of `numSets` event group sets.